for k,v in pairs(data.raw.recipe) do
  if string.sub(k, 1, 6) ~= "empty-" then
    v.allow_decomposition = nil
    v.hidden = false
  end
end

-- Avoid some inefficient crafting paths
for _,v in pairs({
  "coal-liquefaction",
  "light-oil-cracking",
  "heavy-oil-cracking",
  "basic-oil-processing", -- only advanced-oil-processing left
  "solid-fuel-from-petroleum-gas",
  "solid-fuel-from-heavy-oil", -- leave solid-fuel-from-light-oil
  "pure-water-from-lithia",
  "bob-resin-wood",
  "wood" }) do
  if data.raw.recipe[v] then
    data.raw.recipe[v].allow_decomposition = false
  end
end

local categories = {}
for k,v in pairs(data.raw['recipe-category']) do
  table.insert(categories, k)
end

data.raw.player.player.crafting_categories = categories
